Skip to content
CatalogVariants

Update a product variant

Updates only the variant fields included in the request body.

Path Parameters

variantId*string

Identifier of the variant.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://api.ecomiq.pe/api/v1/catalog/variants/7204558912004323197" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Polo de algodón Azul / M",    "sku": "POL-001-AZ-M",    "packageId": "7204558912004325646",    "price": 89,    "compareAtPrice": 99,    "costPrice": 40,    "lowStockThreshold": 24,    "allowBackorders": false  }'
{  "id": "7204558912004323197",  "storeId": "7204558912004327977",  "productId": "7204558912004322039",  "sellerId": "7204558912004323447",  "packageId": "7204558912004325646",  "shippingProfileId": "7204558912004329819",  "productName": "Polo de algodón Azul / M",  "productDescription": "Polo de algodón pima para uso diario.",  "productSlug": "polo-de-algodon",  "productType": "product",  "productIsDigital": false,  "productStatus": "draft",  "productImage": "Polo de algodón Azul / M",  "thumbnail": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",  "brandId": "7204558912004322959",  "brandName": "Polo de algodón Azul / M",  "categoryId": "7204558912004327982",  "categoryName": "Polo de algodón Azul / M",  "tags": [    "algodón"  ],  "name": "Polo de algodón Azul / M",  "sku": "POL-001-AZ-M",  "barcode": "7751234567892",  "status": "outOfStock",  "isDigital": false,  "allowBackorders": false,  "onHand": 24,  "committed": 1,  "available": 24,  "order": 1,  "isDefault": true,  "countryOfOrigin": "Polo de algodón Azul / M",  "hsCode": "POL-001",  "price": 89,  "compareAtPrice": 99,  "costPrice": 40,  "currency": "PEN",  "lowStockThreshold": 24,  "weight": 0.3,  "width": 30,  "height": 30,  "length": 30,  "unitOfMeasure": "kilogram",  "requiresShipping": false,  "trackInventory": true,  "images": [    {      "imageId": "7204558912004329435",      "order": 1,      "isPrimary": true    }  ],  "options": [    {      "name": "Polo de algodón Azul / M",      "key": "color",      "value": "Polo de algodón Azul / M"    }  ],  "inventories": [    {      "id": "7204558912004323197",      "locationId": "7204558912004328277",      "onHand": 24,      "committed": 1,      "available": 24,      "incoming": 1,      "unavailable": 24,      "version": 3,      "createdOn": "2026-09-28T15:30:00Z"    }  ],  "optionValues": {    "key": "Polo de algodón Azul / M"  },  "createdOn": "2026-09-28T15:30:00Z",  "updatedOn": "2026-09-28T15:30:00Z"}